diff --git a/src/backend/parser/parse_utilcmd.c b/src/backend/parser/parse_utilcmd.c
index ec944371dd..03f711ccd0 100644
--- a/src/backend/parser/parse_utilcmd.c
+++ b/src/backend/parser/parse_utilcmd.c
@@ -1671,13 +1671,9 @@ generateClonedIndexStmt(RangeVar *heapRel, Relation source_idx,
 		if (AttributeNumberIsValid(attnum))
 		{
 			/* Simple index column */
-			char	   *attname;
-
-			attname = get_attname(indrelid, attnum, false);
-			keycoltype = get_atttype(indrelid, attnum);
-
-			iparam->name = attname;
+			iparam->name = get_attname(indrelid, attnum, false);
 			iparam->expr = NULL;
+			keycoltype = get_atttype(indrelid, attnum);
 		}
 		else
 		{
@@ -1706,7 +1702,6 @@ generateClonedIndexStmt(RangeVar *heapRel, Relation source_idx,
 
 			iparam->name = NULL;
 			iparam->expr = indexkey;
-
 			keycoltype = exprType(indexkey);
 		}